WonderCSS

简单解决WordPress更新时需要输入FTP信息的方法

今天在VPS上新搭了一个 WordPress 站点,在更新版本时出现了需要FTP信息的问题。上网查了查发现这个的问题是 Apache/Nginx 的执行身份非文件属主身份的原因。不单是更新wp版本,更新主题、安装插件都会出现这个问题。

找到最简单且最新手的方法就是在 WordPress 配置文件 wp-config.php 中添加下面代码:


define('FS_METHOD', 'direct');
define('FS_CHMOD_DIR', 0777);
define('FS_CHMOD_FILE', 0777);

如果出现 “无法创建目录。/wp-content/upgrade” 问题,则需要修改 wp-content 文件夹的权限来解决:


sudo chmod -R 755 {wp-content的目录}

若你一番三招无效后又临时找不到技术人员的话,还是老老实实的手动更新wordpress吧。上传覆盖新版程序文件,再在浏览器中访问/wp-admin/upgrade.php来更新。

By 于湛 发布于 2013.09.18 3,768 次浏览

发表评论

电子邮件地址不会被公开。 必填项已用*标注